From 1dd339641b9e153f2233fce85697dee5acd20c97 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Mar 04 2023 06:44:03 +0000
Subject: [PATCH 28/33] [iceweasel]: upgrade to v110.0.1


---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 5a7c5ef..59a8bed 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -70,7 +70,7 @@
 
 pkgname=iceweasel
 epoch=1
-pkgver=110.0
+pkgver=110.0.1
 pkgrel=1
 pkgrel+=.parabola1
 _brandingver=102.0-1
@@ -178,7 +178,7 @@ validpgpkeys+=(
   'BFA8008A8265677063B11BF47171986E4B745536' # Andreas Grapentin
   '3954A7AB837D0EA9CFA9798925DB7D9B5A8D4B40' # bill-auger
 )
-sha256sums=('d3882492190e4fdcfa142772cf35de5403effb011d24357b315d643ed9168a39'
+sha256sums=('f19bb74d684b992625abca68f5776198974cd2785eb5d02d51ba007fc998491f'
             'SKIP'
             '9cdc2602661717712092d28bb494e5b48e518cb930898aca85eaf21f91f7ef58'
             '43c83101b7ad7dba6f5fffeb89b70a661a547d506a031ea2beada42ccf04eec7')
@@ -195,7 +195,7 @@ sha256sums_i686=('2f0c81a38c4578f68f5456b618fe84a78974072821488173eb55e0e72287e3
                  '10c5276eab2e87f400a6ec15d7ffbef3b0407ee888dea36f1128927ca55b9041'
                  '1c2015e9f59c2c3bc898e04c6c6d33523f835638fd314d24944a8063cbce79d8'
                  '2fb39374fd3d80eea9e346032a2a4b2bc2e357dee7380855b24bcf19b1335d06')
-b2sums=('aae3b34f1642ddab5f0fcd104b4168c9d9856a1bbbc197ff3c8e1bbae0c8d1c033db6e974e10b5352f4457e890c50f1f9d5099a6b7200c3474b71ac7e6317113'
+b2sums=('ff196016e0271f7828163b8f767f3321b5ee08ef6bd0b03b134e17a1e5b62666f10ae80a14569438f6ac1c995a7a8422265eaabbc505b6a86e95a66b5db07209'
         'SKIP'
         'f86353bbba05d8994db34c6abb66094aa61d2c37c8599930dbe9d215413f0f718a1ce55a8f2d07a65074c3947e28fc80d44c925bd9be239a870f82d2a1803635'
         '2bf65874c8c1f41c9273b68d74f4fe5c81dca5acbad0b9a5f917df1d46e1b2a1fb25d42a419eb885e76f4d193483cdeb6294e14ed4b2e241c34b84565b6ffd72')
@@ -243,11 +243,8 @@ readonly _SHOULD_USE_GCC==$(case "${CARCH}" in armv7h) echo 1 ;;
 
 ## dependency tweaks ##
 
-# despite that 'python-typing-extensions' is installed,
-# and 'MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=system' is set,
-# which IIRC has resolved the conflict in the past, this error has re-appeared:
-#   pydantic 1.10.4 has requirement typing-extensions>=4.2.0, but you have typing-extensions 3.10.0.0
-makedepends+=( python-pydantic=1.9.2 ) # dustbin
+makedepends+=( python-pydantic=1.9.2   ) # dustbin - configure error: pydantic 1.10.4 has requirement typing-extensions>=4.2.0, but you have typing-extensions 3.10.0.0
+makedepends+=( python-zstandard=0.19.0 ) # dustbin - configure error: zstandard<=0.19.0,>=0.11.1: Installed with unexpected version "0.20.0"
 
 case "${CARCH}" in
 armv7h)
@@ -412,8 +409,8 @@ ac_add_options --with-wasi-sysroot=/usr/share/wasi-sysroot
 # Branding
 ac_add_options --disable-official-branding                 # branding over-ride
 ac_add_options --enable-update-channel=release
-ac_add_options --with-branding=browser/branding/${pkgname} # branding over-ride
 ac_add_options --with-distribution-id=nu.parabola          # branding over-ride
+ac_add_options --with-branding=browser/branding/${pkgname} # branding over-ride
 ac_add_options --with-app-name=${pkgname}                  # branding over-ride
 ac_add_options --with-app-basename=${pkgname}              # branding over-ride
 ac_add_options --with-unsigned-addon-scopes=app,system
@@ -697,7 +694,6 @@ END
   rm -v toolkit/crashreporter/tools/upload_symbols.py
   rm -frv third_party/rust/winapi-{i686,x86_64}-pc-windows-gnu/**/*.a
 
-
   ## patching sanity checks ##
   _check_patching
 }
@@ -736,6 +732,8 @@ build() {
     export LDFLAGS+=" -Wl,--no-keep-memory " # -Wl,--reduce-memory-overheads -Wl,--max-cache-size=16384000 "
     export MOZ_SOURCE_CHANGESET="DEVEDITION_${pkgver//./_}_RELEASE"
 
+#     export MOZ_MAKE_FLAGS=-j2
+
     # libvpx has some hard-coded compiler flags for MMX, SSE, SSE2, use the correct one
     # per CARCH (75.0 uses an intrisic _mm_empty now, which required the corresponding
     # architecture flag to be preset - before it was merely embedding some assembly

